#include "config.h"
#include "errno.h"
#include "interrupts/Context.h"
#include "std/stdio.h"

void sys_getversion(Context* context, char* buffer, size_t max)
{
    if (!max)
    {
        context->rax = -EINVAL;
        return;
    }
    if (!buffer)
    {
        context->rax = -EINVAL;
        return;
    }
    context->rax = snprintf(buffer, max, "moon %s", moon_version());
}